Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQStaticContext

All Known Subinterfaces:
  XQConnection

All Known Implementing Classes:
  SaxonXQConnection

    public interface XQStaticContext

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`String` | `getBaseURI()`
`int` | `getBoundarySpacePolicy()`
`int` | `getConstructionMode()`
`int` | `getCopyNamespacesModeInherit()`
`int` | `getCopyNamespacesModePreserve()`
`String` | `getDefaultCollation()`
`String` | `getDefaultElementTypeNamespace()`
`String` | `getDefaultFunctionNamespace()`
`int` | `getDefaultOrderForEmptySequences()`
`String[]` | `getInScopeNamespacePrefixes()`
`String` | `getNamespaceURI(String prefix)`
`int` | `getOrderingMode()`
`QName[]` | `getStaticInScopeVariableNames()`
`XQSequenceType` | `getStaticInScopeVariableType(QName varname)`

Method Detail

### getBaseURI

    String getBaseURI()
                      throws XQException

  Throws:
    `XQException`

### getBoundarySpacePolicy

    int getBoundarySpacePolicy()
                               throws XQException

  Throws:
    `XQException`

### getConstructionMode

    int getConstructionMode()
                            throws XQException

  Throws:
    `XQException`

### getCopyNamespacesModeInherit

    int getCopyNamespacesModeInherit()
                                     throws XQException

  Throws:
    `XQException`

### getCopyNamespacesModePreserve

    int getCopyNamespacesModePreserve()
                                      throws XQException

  Throws:
    `XQException`

### getDefaultCollation

    String getDefaultCollation()
                               throws XQException

  Throws:
    `XQException`

### getDefaultElementTypeNamespace

    String getDefaultElementTypeNamespace()
                                          throws XQException

  Throws:
    `XQException`

### getDefaultFunctionNamespace

    String getDefaultFunctionNamespace()
                                       throws XQException

  Throws:
    `XQException`

### getDefaultOrderForEmptySequences

    int getDefaultOrderForEmptySequences()
                                         throws XQException

  Throws:
    `XQException`

### getInScopeNamespacePrefixes

    String[] getInScopeNamespacePrefixes()
                                         throws XQException

  Throws:
    `XQException`

### getNamespaceURI

    String getNamespaceURI(String prefix)
                           throws XQException

  Throws:
    `XQException`

### getOrderingMode

    int getOrderingMode()
                        throws XQException

  Throws:
    `XQException`

### getStaticInScopeVariableNames

    QName[] getStaticInScopeVariableNames()
                                          throws XQException

  Throws:
    `XQException`

### getStaticInScopeVariableType

    XQSequenceType getStaticInScopeVariableType(QName varname)
                                                throws XQException

  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.